# TColStd_HSequenceOfReal.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_TColStd_HSequenceOfReal.hxx>`
`#include <TColStd_SequenceOfReal.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Standard_Real.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Standard_Real
#define | Item_hxx <Standard_Real.hxx>
#define | TheSequence TColStd_SequenceOfReal
#define | TheSequence_hxx <TColStd_SequenceOfReal.hxx>
#define | TCollection_HSequence TColStd_HSequenceOfReal
#define | TCollection_HSequence_hxx <TColStd_HSequenceOfReal.hxx>
#define | Handle_TCollection_HSequence Handle_TColStd_HSequenceOfReal
#define | TCollection_HSequence_Type_() TColStd_HSequenceOfReal_Type_()

## Functions

Handle_TColStd_HSequenceOfReal | ShallowCopy (const Handle_TColStd_HSequenceOfReal &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_TColStd_HSequenceOfReal

#define Item Standard_Real

#define Item_hxx <Standard_Real.hxx>

#define TCollection_HSequence TColStd_HSequenceOfReal

#define TCollection_HSequence_hxx <TColStd_HSequenceOfReal.hxx>

#define TCollection_HSequence_Type_ | (

)

TColStd_HSequenceOfReal_Type_()

#define TheSequence TColStd_SequenceOfReal

#define TheSequence_hxx <TColStd_SequenceOfReal.hxx>

## Function Documentation

Handle_TColStd_HSequenceOfReal ShallowCopy | ( | const Handle_TColStd_HSequenceOfReal & | me | ) | `[inline]`